Package org.apache.commons.imaging.formats.png

# Enum ChunkType

java.lang.Object
java.lang.Enum<ChunkType>
org.apache.commons.imaging.formats.png.ChunkType

All Implemented Interfaces:
  `Serializable`, `Comparable<ChunkType>`

public enum ChunkType extends Enum<ChunkType>
Type of PNG chunk.

See Also:
  - Portable Network Graphics Specification - Chunk specifications

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `bKGD`
  Background color
  `cHRM`
  Primary chromaticities and white point
  `eXIf`
  Exchangeable Image File (Exif) Profile
  `gAMA`
  Image gamma
  `gIFg`
  GIF Graphic Control Extension
  `gIFx`
  GIF Application Extension
  `hIST`
  Image histogram
  `iCCP`
  Embedded ICC profile
  `IDAT`
  Image data
  `IEND`
  Image trailer
  `IHDR`
  Image header
  `iTXt`
  International textual data
  `oFFs`
  Image offset
  `pCAL`
  Calibration of pixel values
  `pHYs`
  Physical pixel dimensions
  `PLTE`
  Palette
  `sBIT`
  Significant bits
  `sCAL`
  Physical scale
  `sPLT`
  Suggested palette
  `sRGB`
  Standard RGB color space
  `sTER`
  Indicator of Stereo Image
  `tEXt`
  Textual data
  `tIME`
  Image last-modification time
  `tRNS`
  Transparency
  `zTXt`
  Compressed textual data

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ChunkType`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static ChunkType[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### IHDR

    public static final ChunkType IHDR
    Image header

  - ### PLTE

    public static final ChunkType PLTE
    Palette

  - ### IDAT

    public static final ChunkType IDAT
    Image data

  - ### IEND

    public static final ChunkType IEND
    Image trailer

  - ### tRNS

    public static final ChunkType tRNS
    Transparency

  - ### cHRM

    public static final ChunkType cHRM
    Primary chromaticities and white point

  - ### gAMA

    public static final ChunkType gAMA
    Image gamma

  - ### iCCP

    public static final ChunkType iCCP
    Embedded ICC profile

  - ### sBIT

    public static final ChunkType sBIT
    Significant bits

  - ### sRGB

    public static final ChunkType sRGB
    Standard RGB color space

  - ### tEXt

    public static final ChunkType tEXt
    Textual data

  - ### zTXt

    public static final ChunkType zTXt
    Compressed textual data

  - ### iTXt

    public static final ChunkType iTXt
    International textual data

  - ### bKGD

    public static final ChunkType bKGD
    Background color

  - ### hIST

    public static final ChunkType hIST
    Image histogram

  - ### pHYs

    public static final ChunkType pHYs
    Physical pixel dimensions

  - ### sPLT

    public static final ChunkType sPLT
    Suggested palette

  - ### tIME

    public static final ChunkType tIME
    Image last-modification time

  - ### oFFs

    public static final ChunkType oFFs
    Image offset
    Since:
      1.0.0-alpha6

  - ### pCAL

    public static final ChunkType pCAL
    Calibration of pixel values
    Since:
      1.0.0-alpha6

  - ### sCAL

    public static final ChunkType sCAL
    Physical scale

  - ### gIFg

    public static final ChunkType gIFg
    GIF Graphic Control Extension
    Since:
      1.0.0-alpha6

  - ### gIFx

    public static final ChunkType gIFx
    GIF Application Extension
    Since:
      1.0.0-alpha6

  - ### sTER

    public static final ChunkType sTER
    Indicator of Stereo Image
    Since:
      1.0.0-alpha6

  - ### eXIf

    public static final ChunkType eXIf
    Exchangeable Image File (Exif) Profile
    Since:
      1.0.0-alpha6

- ## Method Details

  - ### values

    public static ChunkType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ChunkType valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null